<h1 mat-dialog-title>New dish</h1>
<div mat-dialog-content>
  <ng-container [formGroup]="form">
    <div class="row pb-32">
      <span class="text-medium">General Information</span>
    </div>

    <div class="row">
      <div class="col">
        <mat-form-field [style.width.px]=190>
          <mat-label>Dish name</mat-label>
          <input matInput required cdkFocusInitial [formControlName]="'name'">
        </mat-form-field>
        <app-error-form [control]="'name'" [form]="form"></app-error-form>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <mat-form-field [style.width.px]=120>
          <mat-label>Hour(s)</mat-label>
          <input type="number" matInput required cdkFocusInitial [formControlName]="'hours'">
        </mat-form-field>
        <app-error-form [control]="'hours'" [form]="form"></app-error-form>
      </div>
      <div class="col">
        <mat-form-field [style.width.px]=120>
          <mat-label>Minute(s)</mat-label>
          <input type="number" matInput required cdkFocusInitial [formControlName]="'minutes'">
        </mat-form-field>
        <app-error-form [control]="'minutes'" [form]="form"></app-error-form>
      </div>
    </div>

    <div class="row pb-32 pt-16">
      <span class="text-medium">Ingredients</span>
    </div>


    <div formArrayName="ingredients" *ngFor="let t of ingredients.controls; let i = index">
      <div [formGroupName]="i" class=" row pt-16">
        <div class="col">
          <mat-form-field [style.width.px]=160>
            <mat-label>Ingredient {{i + 1}}</mat-label>
            <mat-select formControlName="item" id="{{'item'+i}}">
              <input label="Search" type="text" (keyup)="searchIngredients($event,i)" class="search-input">
              <mat-option *ngFor="let ingre of filteredListIngredients[i]" [value]="ingre">
                {{ingre.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <i class="click material-icons remove__icon" *ngIf="ingredients.controls.length > 1"
             (click)="removeIngredientInput(i)">delete</i>
          <app-error-form [control]="'item'" [form]="getIngredientsFormGroup(i)"></app-error-form>
        </div>
      </div>
    </div>

    <div class="row pt-32">
      <div class="col-6">
        <button mat-button (click)="addNextIngredient()">Add next ingredient</button>
      </div>
    </div>


  </ng-container>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="cancel()">Cancel</button>
  <button mat-button class="color-back-primary text-white" (click)="addNew()" (keyup.enter)="addNew()">Add</button>
</div>
